메인 콘텐츠로 건너뛰기
GET
/
api
/
v1
/
fact-search
curl -X GET "https://api.factagora.com/api/v1/fact-search?q=bitcoin&limit=5&language=english" \
  -H "Authorization: Bearer fag_your_api_key"
{
  "query": "bitcoin",
  "articles": [
    {
      "title": "Bitcoin surges past $100,000 amid institutional demand",
      "url": "https://reuters.com/...",
      "domain": "reuters.com",
      "publishedAt": "2026-03-29T10:00:00Z",
      "language": "english",
      "sourceCountry": "US",
      "snippet": "Bitcoin hit a new all-time high as institutional investors...",
      "source": "gnews"
    }
  ],
  "meta": {
    "total": 1,
    "executionTimeMs": 312,
    "source": "gnews",
    "cached": false
  }
}
GNews와 네이버 뉴스를 포함한 전 세계 뉴스 출처에서 최근 기사를 검색합니다. 기사 제목, URL, 게재일, 출처 도메인을 반환합니다.

쿼리 파라미터

q
string
필수
뉴스 기사 검색 쿼리. 정확한 결과를 얻으려면 핵심 키워드를 사용하세요.
limit
number
기본값:"10"
반환할 결과의 최대 개수. 범위: 1–50.
language
string
출처 언어로 필터링. 예: english, korean
country
string
출처 국가 코드로 필터링. 예: US, KR
sortBy
string
기본값:"relevance"
정렬 순서. 옵션: relevance, date
timespan
string
상대 시간 범위 필터. 예: 7d, 30d, 3months. from 또는 to가 지정되면 무시됩니다.
from
string
날짜 범위 시작 (ISO 8601). 지정 시 timespan보다 우선합니다. 예: 2025-01-01T00:00:00Z
to
string
날짜 범위 종료 (ISO 8601). 지정 시 timespan보다 우선합니다. 예: 2025-05-01T23:59:59Z
domains
string
포함할 출처 도메인 목록 (쉼표 구분). 해당 도메인의 기사만 반환합니다. 예: bbc.com,reuters.com

응답

query
string
사용된 검색 쿼리입니다.
articles
array
뉴스 기사 목록입니다.
meta
object
curl -X GET "https://api.factagora.com/api/v1/fact-search?q=bitcoin&limit=5&language=english" \
  -H "Authorization: Bearer fag_your_api_key"
{
  "query": "bitcoin",
  "articles": [
    {
      "title": "Bitcoin surges past $100,000 amid institutional demand",
      "url": "https://reuters.com/...",
      "domain": "reuters.com",
      "publishedAt": "2026-03-29T10:00:00Z",
      "language": "english",
      "sourceCountry": "US",
      "snippet": "Bitcoin hit a new all-time high as institutional investors...",
      "source": "gnews"
    }
  ],
  "meta": {
    "total": 1,
    "executionTimeMs": 312,
    "source": "gnews",
    "cached": false
  }
}